%global momorel 2
%global qtver 3.3.7
%global kdever 3.5.7
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 9e1962bbc060e3dec806ff2463d2aec4

Summary: KDE applet for Network Manager
Name: knetworkmanager
Version: 0.2
Release: %{momorel}m%{?dist}
License: GPL
URL: http://en.opensuse.org/Projects/KNetworkManager
Group: Applications/Internet
%NoSource 0 ftp://upload.kde.org/pub/kde/stable/apps/KDE3.x/network/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: admin.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: NetworkManager
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: NetworkManager-devel
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: dbus-devel
BuildPreReq: dbus-qt-devel
BuildPreReq: desktop-file-utils
BuildPreReq: hal-devel
BuildPreReq: libnl-devel
BuildPreReq: libtool
BuildPreReq: wireless-tools

%description
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.

%prep
%setup -q

tar xf %{SOURCE1}
make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-dbus-sys=%{_sysconfdir}/dbus-1/system.d \
	--with-openvpn \
	--with-vpnc \
	--with-pptp \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/crystalsvg/48x48/apps/knetworkmanager.png %{buildroot}%{_datadir}/pixmaps/knetworkmanager.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Applet \
  %{buildroot}%{_datadir}/applications/kde/knetworkmanager.desktop

# install knetworkmanager-autostart.desktop
mkdir -p %{buildroot}%{_datadir}/autostart
install -m 644 %{buildroot}%{_datadir}/applications/kde/%{name}.desktop %{buildroot}%{_datadir}/autostart/%{name}-autostart.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README knetworkmanager/NEWS
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/knetworkmanager.conf
%{_bindir}/knetworkmanager
%{_includedir}/knetworkmanager-*.h
%{_libdir}/kde3/knetworkmanager*.la
%{_libdir}/kde3/knetworkmanager*.so*
%{_libdir}/libkdeinit_knetworkmanager.la
%{_libdir}/libkdeinit_knetworkmanager.so
%{_datadir}/applications/kde/knetworkmanager.desktop
%{_datadir}/apps/knetworkmanager
%{_datadir}/autostart/knetworkmanager-autostart.desktop
%{_datadir}/config.kcfg/knetworkmanager.kcfg
%{_datadir}/icons/*/*/*/knetworkmanager.png
%{_datadir}/locale/*/LC_MESSAGES/knetworkmanager.mo
%{_datadir}/pixmaps/knetworkmanager.png
%{_datadir}/services/knetworkmanager_*.desktop
%{_datadir}/servicetypes/knetworkmanager_*.desktop

%changelog
* Sun Oct 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-2m)
- fix autostart issue

* Tue Jul 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-1m)
- version 0.2
- enable VPN support

* Thu May  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-0.20070310.2m)
- change "Categories" of knetworkmanager.desktop from "System" to "Network"

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1-0.20070310.1m)
- initial package for Momonga Linux
